=== debian/control ===
Source: ifupdown
Section: net
Priority: extra
Maintainer: Anthony Towns <ajt@debian.org>
Standards-Version: 3.1.1
Build-Depends: debhelper

Package: ifupdown
Architecture: any
Depends: net-tools, ${shlibs:Depends}
Suggests: iproute
Replaces: netbase (<< 4.00)
Description: High level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces, based on
 the file /etc/network/interfaces.
